List Settlements
curl --request GET \
--url https://api-staging.eximpe.com/pg/settlements \
--header 'X-Client-ID: <api-key>' \
--header 'X-Client-Secret: <api-key>'import requests
url = "https://api-staging.eximpe.com/pg/settlements"
headers = {
"X-Client-ID": "<api-key>",
"X-Client-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Client-ID': '<api-key>', 'X-Client-Secret': '<api-key>'}
};
fetch('https://api-staging.eximpe.com/pg/settlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Settlements fetched successfully",
"data": {
"settlement_id": "ST4353980017",
"utr_number": "092dc30a-4f19-4318-9798-ad08b48801f6",
"settlement_completed_date": "2025-06-20T08:06:59.293548Z",
"forex_rate_cents": 8600,
"settlement_amount_cents": 100000,
"settlement_currency": "USD",
"transactions": [
{
"settlement_type": "capture",
"transaction_id": "PR3828502708",
"transaction_amount": 1000,
"merchant_service_fee": 0,
"merchant_service_tax": 0,
"merchant_net_amount": 1000,
"mop_type": "UPI",
"transaction_currency": "INR",
"forex_rate": 86
}
]
}
}Settlement
List Settlements
Retrieve a list of settlements.
GET
/
pg
/
settlements
List Settlements
Authorizations
Client app ID. You can find your app id in the merchant dashboard.
Client secret key. You can find your secret in the merchant dashboard.
Query Parameters
Filter settlements from this date. Format: YYYY-MM-DD.
Filter settlements up to this date. Format: YYYY-MM-DD.
⌘I